Bug 910529 - (ksnakeduel) Review Request: ksnakeduel - Snake duel game
Review Request: ksnakeduel - Snake duel game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 14:16 EST by Rex Dieter
Modified: 2013-02-16 18:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-16 18:07:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 14:16:45 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksnakeduel.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksnakeduel-4.10.0-1.fc18.src.rpm
Description: A simple Tron-Clone
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 09:59:10 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksnakeduel.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksnakeduel-4.10.0-2.fc18.src.rpm
Description:
KSnakeDuel is a simple snake duel game. You can play KSnakeDuel against
the computer or a friend. The aim of the game is to live longer than
your opponent. To do that, avoid running into a wall, your own tail and
that of your opponent.


%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, summary/description
Comment 2 nucleo 2013-02-16 15:58:06 EST
Everything fine except missing 
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kdesnake.desktop
Comment 3 Rex Dieter 2013-02-16 16:23:29 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksnakeduel.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksnakeduel-4.10.0-3.fc18.src.rpm

%changelog
* Sat Feb 16 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- desktop-file-validate ... kdesnake.desktop
Comment 4 nucleo 2013-02-16 16:25:41 EST
MUST Items:
+ rpmlint output
  $ rpmlint ksnakeduel-4.10.0-1.fc18.i686.rpm ksnakeduel-debuginfo-4.10.0-1.fc18.i686.rpm ksnakeduel-4.10.0-3.fc18.src.rpm ksnakeduel.spec 
    ksnakeduel.i686: W: no-manual-page-for-binary kdesnake
    ksnakeduel.i686: W: no-manual-page-for-binary ktron
    3 packages and 1 specfiles checked; 0 errors, 2 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name ksnakeduel-4.10.0.tar.xz
+ spec file name ksnakeduel.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: b51c1250c89f83cefefaba35363c6f84  ksnakeduel-4.10.0.tar.xz
  SHA1: 36b5dfd4df30c401fd90b174eee1d1f1910b1818  ksnakeduel-4.10.0.tar.xz
  SHA256: dd4c7bdd95f642c9352f0a0e596bbc4c8792a6e578e5bf9c90bf883507e13ff3  ksnakeduel-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/ktron/ )
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir} )
+ non-code content: only permitted content, themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kdesnake.desktop and ktron.desktop files for the GUI apps ksnakeduel and ktron present
+ desktop-file-validate is used in %check and the kdesnake.desktop, ktron.desktop files passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from ksnakeduel's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 5 Rex Dieter 2013-02-16 17:34:56 EST
New Package SCM Request
=======================
Package Name: ksnakeduel
Short Description: Snake duel game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2013-02-16 17:40:50 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-16 18:07:18 EST
imported

Note You need to log in before you can comment on or make changes to this bug.